Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Cryptix OpenPGP
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## cryptix.pki
Class CertificateBuilderSpi

    java.lang.Object
      cryptix.pki.CertificateBuilderSpi

public abstract class CertificateBuilderSpi
extends java.lang.Object

Service provider interface for CertificateBuilder

Version:
  $Revision: 1.2 $
Author:
  Edwin Woudt

Constructor Summary
`CertificateBuilderSpi()`

Method Summary
`abstract java.security.cert.Certificate` | `engineBuild(java.security.PublicKey subjectKey, java.security.Principal subjectName, KeyBundle issuer, char[] passphrase, java.security.SecureRandom sr)` Returns a new Certificate based on the given subject key, subject name and Issuer.
`abstract java.security.cert.Certificate` | `engineBuild(java.security.PublicKey subjectKey, java.security.Principal subjectName, KeyBundle issuer, char[] passphrase, java.security.SecureRandom sr, java.security.spec.AlgorithmParameterSpec algSpec)` Returns a new Certificate based on the given subject key, subject name and Issuer and with the given parameters.
`abstract java.security.cert.Certificate` | `engineBuild(java.security.PublicKey subjectKey, java.security.Principal subjectName, java.security.PrivateKey issuer, java.security.SecureRandom sr)` Returns a new Certificate based on the given subject key, subject name and Issuer.
`abstract java.security.cert.Certificate` | `engineBuild(java.security.PublicKey subjectKey, java.security.Principal subjectName, java.security.PrivateKey issuer, java.security.SecureRandom sr, java.security.spec.AlgorithmParameterSpec algSpec)` Returns a new Certificate based on the given subject key, subject name and Issuer and with the given parameters.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### CertificateBuilderSpi

    public CertificateBuilderSpi()

Method Detail

### engineBuild

    public abstract java.security.cert.Certificate engineBuild(java.security.PublicKey subjectKey,
                                                               java.security.Principal subjectName,
                                                               KeyBundle issuer,
                                                               char[] passphrase,
                                                               java.security.SecureRandom sr)
                                                        throws java.security.cert.CertificateException,
                                                               java.security.UnrecoverableKeyException

  Returns a new Certificate based on the given subject key, subject name and Issuer.

  This method will generally need to execute a cryptographic signing operation, so it could take a while to execute.

  Parameters:
    `subjectKey` - the key that will be binded to the principal by the resulting certificate.
    `subjectName` - the principal that will be binded to the key by the resulting certificate.
    `issuer` - the keybundle that issues this certificate.
    `passphrase` - the passphrase to decrypt the private key.
    `sr` - a randomness source.
  Throws:
    `java.security.cert.CertificateException` - on a variety of format specific problems.
    `java.security.UnrecoverableKeyException` - on an invalid passphrase.

### engineBuild

    public abstract java.security.cert.Certificate engineBuild(java.security.PublicKey subjectKey,
                                                               java.security.Principal subjectName,
                                                               KeyBundle issuer,
                                                               char[] passphrase,
                                                               java.security.SecureRandom sr,
                                                               java.security.spec.AlgorithmParameterSpec algSpec)
                                                        throws java.security.cert.CertificateException,
                                                               java.security.InvalidAlgorithmParameterException,
                                                               java.security.UnrecoverableKeyException

  Returns a new Certificate based on the given subject key, subject name and Issuer and with the given parameters.

  This method will generally need to execute a cryptographic signing operation, so it could take a while to execute.

  Parameters:
    `subjectKey` - the key that will be binded to the principal by the resulting certificate.
    `subjectName` - the principal that will be binded to the key by the resulting certificate.
    `issuer` - the keybundle that issues this certificate.
    `passphrase` - the passphrase to decrypt the private key.
    `sr` - a randomness source.
    `algSpec` - an algorithm parameter specification.
  Throws:
    `java.security.cert.CertificateException` - on a variety of format specific problems.
    `java.security.InvalidAlgorithmParameterException` - on invalid parameters.
    `java.security.UnrecoverableKeyException` - on an invalid passphrase.

### engineBuild

    public abstract java.security.cert.Certificate engineBuild(java.security.PublicKey subjectKey,
                                                               java.security.Principal subjectName,
                                                               java.security.PrivateKey issuer,
                                                               java.security.SecureRandom sr)
                                                        throws java.security.cert.CertificateException

  Returns a new Certificate based on the given subject key, subject name and Issuer.

  This method will generally need to execute a cryptographic signing operation, so it could take a while to execute.

  Parameters:
    `subjectKey` - the key that will be binded to the principal by the resulting certificate.
    `subjectName` - the principal that will be binded to the key by the resulting certificate.
    `issuer` - the private key that issues this certificate.
    `sr` - a randomness source.
  Throws:
    `java.security.cert.CertificateException` - on a variety of format specific problems.

### engineBuild

    public abstract java.security.cert.Certificate engineBuild(java.security.PublicKey subjectKey,
                                                               java.security.Principal subjectName,
                                                               java.security.PrivateKey issuer,
                                                               java.security.SecureRandom sr,
                                                               java.security.spec.AlgorithmParameterSpec algSpec)
                                                        throws java.security.cert.CertificateException,
                                                               java.security.InvalidAlgorithmParameterException

  Returns a new Certificate based on the given subject key, subject name and Issuer and with the given parameters.

  This method will generally need to execute a cryptographic signing operation, so it could take a while to execute.

  Parameters:
    `subjectKey` - the key that will be binded to the principal by the resulting certificate.
    `subjectName` - the principal that will be binded to the key by the resulting certificate.
    `issuer` - the private key that issues this certificate.
    `sr` - a randomness source.
    `algSpec` - an algorithm parameter specification.
  Throws:
    `java.security.cert.CertificateException` - on a variety of format specific problems.
    `java.security.InvalidAlgorithmParameterException` - on invalid parameters.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Cryptix OpenPGP
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright (C) 1999-2003 The Cryptix Foundation Ltd.